<?php 
session_start();

//empty does both of the checks you are doing at once
//check if user is logged in first
if(empty($_SESSION['user'])) {
    header('Location: index.php');
    //kill page because user is not logged in and is waiting for redirection
    die();
}
?>
<html>  
<head>  
    <title>Yema</title>  
	 <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
	
    <link rel = "stylesheet" type = "text/css" href = "style.css">  
<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
  
<body>
<?php 
include('connection.php');  
$sql = "select *from yema";  
$result = mysqli_query($conn, $sql); 
?>
<p style="text-align: center;"><img src="img/Yema-logo.png" ></p> 
<p style="text-align: right;"><button type="button" class="btn btn-primary export">Export</button></p> 
<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Backer number</th>
      <th scope="col">Email</th>
      <th scope="col">Colour</th>
	  <th scope="col">sku</th>
      <th scope="col">Size</th>
      <th scope="col">Limited edition number</th>
      <th scope="col">First name</th>
	  <th scope="col">Last name</th>
      <th scope="col">Country</th>
      <th scope="col">Address</th>
      <th scope="col">City</th>
	   <th scope="col">zip_code</th>
      <th scope="col">Phone</th>
      <th scope="col">Action</th>
	  
    </tr>
  </thead>
  <tbody>
  	<?php while($results = $result->fetch_assoc()){?>
    <tr>
      <th scope="row"><?php echo $results['id'] ?></th>
      <td><?php echo $results['backer_number']; ?></td>
      <td><?php echo $results['email']; ?></td>
      <td><?php echo $results['colour']; ?></td>
	  <td><?php echo $results['sku']; ?></td>
      <td><?php echo $results['size']; ?></td>
      <td><?php echo $results['limited_edition_number']; ?></td>
	  <td><?php echo $results['first_name']; ?></td>
      <td><?php echo $results['last_name']; ?></td>
      <td><?php echo $results['country']; ?></td>
	  <td><?php echo $results['address']; ?></td>
      <td><?php echo $results['city']; ?></td>
      <td><?php echo $results['zip_code']; ?></td>
	  <td><?php echo $results['phone']; ?></td>
	  <td><button type="button" class="btn btn-warning reinitialize" value="<?php echo $results['id'] ?>">Réinitialiser</button></td>
    </tr>
	<?php } ?>
  </tbody>
</table>
      <script src="fancyTable.js"></script>
        <!--<script type="text/javascript">
                 
            $(document).ready(function(){
             
                $(".table").fancyTable({
                   sortColumn:0,
                   /* Setting pagination or enabling */
                   pagination: false,
                       globalSearch:true,
                    /* Exclude 2nd column from global search.*/
                   globalSearchExcludeColumns: [2],
                   onInit:function(){                
                   /* On initialization of table */
                                 console.log({ element:this });
                                    },
                   onUpdate:function(){
                   /* On update like search and sort of table */                 
                    console.log({ element:this });
                   }
                       });                           
            });           
        </script>!-->
<script>
 
$( ".reinitialize" ).each(function() {
$(this).click(function(){
  var id = $(this).val();
  
  $.ajax({
    url: "reinitalize.php", 
    type: 'post',
    data: {'id': id},
    datatype: 'json',
    success: function(data){
		alert("L'utilisateur a bien été réinitialisé.");
		location.reload();
  }});
});
});

</script>
</body>     
</html>  