<?php 
 
// Load the database configuration file 
$dbhost = "localhost";
$dbuser = "root";
$dbpass = "";
$db = "yema";
$conn = new mysqli($dbhost, $dbuser, $dbpass,$db) or die("Connect failed: %s\n". $conn -> error);
 
// Fetch records from database 
$query = $conn->query("SELECT * FROM yema where status = 0"); 
 
if($query->num_rows > 0){ 
    $delimiter = ","; 
    $filename = "members-data_" . date('Y-m-d') . ".csv"; 
     
    // Create a file pointer 
    $f = fopen('php://memory', 'w'); 
     
    // Set column headers 
    $fields = array('BACKER NUMBER', 'EMAIL', 'COLOUR', 'SIZE', 'LIMITED EDITION NUMBER','COUNTRY','FIRST NAME', 'LAST NAME', 'ADDRESS', 'TYPE HOME', 'CITY', 'ZIP CODE', 'PHONE', 'COMMENT'); 
    fputcsv($f, $fields, $delimiter); 
     
    // Output each row of the data, format line as csv and write to file pointer 
    while($row = $query->fetch_assoc()){ 
        $status = ($row['status'] == 1)?'Active':'Inactive'; 
        $lineData = array($row['backer_number'], $row['email'], $row['colour'], $row['size'], $row['limited_edition_number'], $row['country'], $row['first_name'], $row['last_name'], $row['address'], $row['type_home'], $row['city'], $row['zip_code'], $row['phone'], $row['comment']); 
        fputcsv($f, $lineData, $delimiter); 
        $conn->query("UPDATE yema set status =1 where status = 0");
    } 
     
    // Move back to beginning of file 
    fseek($f, 0); 
     
    // Set headers to download file rather than displayed 
    header('Content-Type: text/csv'); 
    header('Content-Disposition: attachment; filename="' . $filename . '";'); 
     
    //output all remaining data on a file pointer 
    fpassthru($f); 
} 
exit; 
 
?>